<?php
include 'config.php';
if(isset($_GET['error_description'])){
    header("Location: index.php?message=".$_GET['error_description']);
    exit;    
}
$code = $_GET['code'];
$state = $_GET['state'];
$url = $config['access_token_download'];
$post = array(
    'code' => $code,
    'grant_type' => 'authorization_code',
    'client_id' => $config['client_id_upload'],
    'client_secret' => $config['client_secret_upload'],
    'redirect_uri' => $config['uploaddoc_redirect_uri'],
);
$vh = curl_init($url);
curl_setopt($vh, CURLOPT_CUSTOMREQUEST, "POST");
curl_setopt($vh, CURLOPT_POST, true);
curl_setopt($vh, CURLOPT_TIMEOUT, 30); //timeout after 30 seconds
curl_setopt($vh, CURLOPT_POSTFIELDS, $post);
curl_setopt($vh, CURLOPT_SSL_VERIFYPEER, 0);
curl_setopt($vh, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($vh, CURLOPT_RETURNTRANSFER, true);
$result = curl_exec($vh);
curl_close($vh);
$notgettingdata = explode('', $result);
if(!$notgettingdata[1]){
header("Location: index.php?message=THIS IS ERROR");    
}
$getToken = json_decode($notgettingdata[1]);
if (isset($getToken->access_token)) {
    $access_token = $getToken->access_token;
}
if (isset($access_token)) {
    $doc = new DOMDocument('1.0');
    $doc->formatOutput = true;
    $doc = new DOMDocument('1.0');
    $doc->formatOutput = true;
    $root = $doc->createElement('maincontent');
    $root = $doc->appendChild($root);
    $title = $doc->createElement('code');
    $title = $root->appendChild($title);
    $enclosure = $doc->createAttribute('num');
    $enclosure->value = $code;
    $title->appendChild($enclosure);
    $title = $doc->createElement('access_token');
    $title = $root->appendChild($title);
    $text = $doc->createTextNode($access_token);
    $text = $title->appendChild($text);
    $doc->save("xml/hashhkey.xml");
}
if (file_exists("xml/hashhkey.xml")) {
    $xml = (array) simplexml_load_file("xml/hashhkey.xml") or die("Error: Cannot create object");
} else {
    echo "xml/hashhkey.xml file doesnot exists";
}
$access_token = $xml['access_token'];

$headers = array(
    'Authorization: Bearer ' . $access_token
//'Authorization: Basic '. base64_encode("$username:$password")
);
$urlFile = $config['file_uri'];
$vhf = curl_init($urlFile);
curl_setopt($vhf, CURLOPT_TIMEOUT, 30); //timeout after 30 seconds
curl_setopt($vhf, CURLOPT_HTTPHEADER, $headers);
curl_setopt($vhf, CURLOPT_SSL_VERIFYPEER, 0);
curl_setopt($vhf, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($vhf, CURLOPT_RETURNTRANSFER, true);
$resFile = curl_exec($vhf);
curl_close($vhf);
$resFileNew = explode('', $resFile);
$uriRes = json_decode($resFileNew[1]);
if(isset($uriRes->error) || !$resFileNew){
    header("Location: index.php?message=".$uriRes->error_description);
    exit;
}
$uriDir = array();
$uriFiles = array();
foreach ($uriRes->items as $uriI) {
    if ($uriI->type == "dir") {
        $uriDir[] = (array) $uriI;
    } else {
        $uriFiles[] = (array) $uriI;
    }
}
$uriItems = array_merge($uriDir, $uriFiles);
$uriItemsArray['items'] = $uriItems;
$dataDirectory['directory'] = $uriRes->directory;
$dataF = array_merge($dataDirectory, $uriItemsArray);
include 'header.php';
?>
<style>
    #fileUpload {
        cursor: pointer;
        cursor:hand;
        margin: -14px -4px;
        opacity: 0;
        overflow: hidden;
        position: relative;
        z-index: 20;
    }
    .inputfile + label {
        background-color: blueviolet;
        color: #f1e5e6;
        padding: 5px;
    }
</style>
<div class="se-pre-con"></div>
<div id="wrapper"> 
    <div id="page-wrapper">
        <div class="container-fluid">
            <!-- Page Heading -->
            <div class="row">
                <div class="col-lg-12">
                    <div class="container">
                        <?php
                        if (isset($_GET['message'])) {
                            $alert = "red";
                            if ($_GET['message'] == "File Uploaded Successfully") {
                                $alert = "green";
                            }
                            echo "<div class='alert' id='alert' style='color:" . $alert . "'> <button type='button' class='close' data-dismiss='alert'>x</button>" . $_GET['message'] . "</div>";
                        }
                        ?>
                    </div>
                </div>
                <div class="col-lg-12">
                    <div class="container">
                        <ul class="nav nav-tabs">
                            <li class="active"><a data-toggle="tab" href="#uploadeddocument"><img src="images/uploaded_files.png">Uploaded Document</a></li>
                        </ul>
                        <div class="tab-content">
                            <div id="uploadeddocument" class="tab-pane fade in active">
                                <section class="content">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="box box-body" style="min-height: 385px;" >
                                                <div class="row" style="margin-top:7px;">
                                                    <div class="col-md-3">
                                                        <span onclick="uriData(null, null)" class="fa fa-home fa-2x" style="color:blueviolet; cursor:pointer; cursor:hand;"></span>
                                                        <span id="parent" style="color:blueviolet; font-size: 16px; cursor:pointer; cursor:hand;"></span>
                                                    </div>
                                                    <div class="col-md-9 pull-left">
                                                        <form action="browse.php" method="post" enctype="multipart/form-data" >
                                                            <input type="text" value="<?php echo $access_token; ?>" name="accesstoken" class="hidden"/>
                                                            <input type="text" value="<?php echo $code; ?>" name="code" class="hidden"/>
                                                            <input type="text" value="<?php echo $state; ?>" name="state" class="hidden"/>
                                                            <input type="text" name="filePath"  class="hidden"  value="" id="filePath"/>
                                                            <input type="file" class="inputfile" id="fileUpload" name="fileUpload"/>
                                                            <label for="fileUpload"  style="border-radius:5px;">
                                                                <i class="fa fa-upload"></i> 
                                                                <span>Upload Here</span>
                                                            </label>  
                                                        </form>
                                                    </div>
                                                </div>
                                                <div class="table-responsive">
                                                    <table class="table">
                                                        <thead style="color:blueviolet;">
                                                            <tr id="trheading">
                                                                <td>Name</td>
                                                                <td>Size</td>
                                                                <td>Date</td>
                                                                <td id="tdUri" style="display:none;">URI</td>
                                                            </tr>
                                                        </thead>
                                                        <tbody  id="folderPath">
                                                            <?php
                                                            foreach ((array) ($dataF['items']) as $api_detail) {
                                                                if (isset($api_detail['id'])) {
                                                                    $api_detail['id'] = $api_detail['id'];
                                                                    $api_detail['parent'] = $api_detail['parent'];
                                                                } else {
                                                                    $api_detail['id'] = "";
                                                                }
                                                                ?>
                                                                <tr>
                                                                    <?php
                                                                    if (($api_detail['type']) == "dir") {
                                                                        echo '<td onclick="uriData(' . $api_detail['id'] . ',' . $api_detail['parent'] . ')">';
                                                                        echo '<img src="images/folder.svg" style="margin-right:10px;"></img>';
                                                                        echo($api_detail['name']);
                                                                    }
                                                                    if ($api_detail['type'] == "file") {
                                                                        echo "<td>";
                                                                        echo '<img src="images/file.svg" style="margin-right:10px;"></img>';
                                                                        echo($api_detail['name']);
                                                                    }
                                                                    echo "</td>";
                                                                    ?>
                                                                    <td><?php echo($api_detail['size']); ?></td>
                                                                    <td><?php echo date("d-m-Y", strtotime($api_detail['date'])); ?></td>
                                                                    <?php if ($api_detail['type'] == "file") { ?>
                                                                    <?php }
                                                                    ?>
                                                                </tr>
                                                            <?php }
                                                            ?>
                                                        </tbody>
                                                    </table>
                                                    <div class="footer">
                                                        <a class="btn btn-default" style="float: right; margin-left: 10px; border-radius:5px;" href="payment.php">Complete Payment</a>
                                                        <a class="btn btn-default" style="float: right; border-radius:5px;" href="tokan.php">Cancel</a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>                
                                    </div>
                                </section>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<?php include 'footer.php' ?>
<script src="js/modernizr.js"></script>
<script>
$(document).on('change', "#fileUpload", function () {
    $("form").submit();
});
$("#filePath").val("");
function uriData(id, parent) {

    $("#folderPath").empty();
    $("#fileUpload").val("");
    $("#filePath").val("");
    $("#tdUri").show();
    $(".se-pre-con").show();
    var id = id;
    var accessTocken = "<?php echo $access_token; ?>";
    var uri = "<?php echo $api_detail['uri']; ?>";
    var uriDataHtml = "";
    var fileOrFolder = "";
    var onclickFnc = "";
    var dwnldTd = "";
    var accessToken = "<?php echo $access_token; ?>";
    var urifnc = "<?php echo $config['uri_path']; ?>";
    $.post(urifnc, {access_token: accessTocken, id: id}, function (result) {
        $.each(result.items, function (i, l) {
            if (result.items[i].type == "file") {
                console.log(result.items);
                fileOrFolder = '<img src="images/file.svg" style="margin-right:10px;"></img>';
                onclickFnc = "onclick='thisIsNotAFolder()'";
                dwnldTd = "<td onclick = 'download(\"" + result.items[i].uri + "\",\"" + result.items[i].name + "\");';></td>";
            } else {
                fileOrFolder = '<img src="images/folder.svg" style="margin-right:10px;"></img>';
                onclickFnc = "onclick='uriData(" + result.items[i].id + "," + result.items[i].parent + ")'";
                dwnldTd = "<td></td>";
            }
            var date = new Date(result.items[i].date);
            var dateformate = date.getDate()+'-'+(date.getMonth()+1) + '-' + date.getFullYear();
            uriDataHtml += "<tr><td " + onclickFnc + ">" + fileOrFolder + result.items[i].name + "</td><td>" + result.items[i].size + "</td><td>" + dateformate + "</td>\n\
            <td>" + result.items[i].uri + "</td>" + dwnldTd + "</tr>";
            $("#folderPath").html(uriDataHtml);
        });
            $(".footer").show();
            $("#trheading").show();
        if((result.items).length==0){
            $(".footer").hide();
            $("#trheading").hide();
            $("#folderPath").html("<tr><th colspan='4'style='text-align: center;'><h4>No document uploaded yet</h4></br><p>Upload some of your own documents or certificates!</p></th></tr>");
        }
        $("#filePath").val(result.directory);
        $("#parent").html("<span onclick=uriData(" + parent + ",null)>" + result.directory + "</span>");
        $(".se-pre-con").hide();
    }, "json")
            .fail(function () {
                $("#folderPath").html("some error found!");
                $(".se-pre-con").hide();
            });
}
$(".se-pre-con").fadeOut("slow");
</script>
<script>
    $("#alert").fadeTo(2000, 500).slideUp(500, function(){ $("#alert").slideUp(5000); });
</script>
</html>